> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show TaxProfile entity.

- Product: Tax profiles
- Section: TaxProfile
- Snapshot: Current
- Method: `GET`
- Path: `/api/tax_profiles/{id}`

## Path parameters

### `id`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.taxProfiles.get({
  id: "<id>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/tax_profiles/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "name": "name",
  "taxProfileRates": [
    {
      "id": 0,
      "validFrom": "validFrom",
      "taxRateSpecification": {
        "displayName": "displayName",
        "position": 0
      },
      "validThrough": "validThrough"
    }
  ],
  "country": "country",
  "default": false,
  "reservationReferenceDate": "date-from"
}
```

##### Schema

###### TaxProfile

Type: `TaxProfile`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `country`

Type: `string`  
Required: no  

###### `default`

Type: `boolean`  
Required: no  
Default: `false`  

###### `reservationReferenceDate`

Type: `string`  
Required: no  
Default: `date-from`  

###### `taxProfileRates`

Type: `TaxProfileRate[]`  
Required: yes  

###### TaxProfileRate

Type: `TaxProfileRate`  

###### `id`

Type: `number`  
Required: yes  

###### `validFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `validThrough`

Type: `string`  
Format: `date-time`  
Required: no  

###### `taxRateSpecification`

Type: `TaxRateSpecification`  
Required: yes  

###### `position`

Type: `number`  
Required: no  

###### `displayName`

Type: `string`  
Required: yes  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/tax-profiles/methods/get/)
- [TypeScript Markdown](/tax-profiles/methods/get.md?lang=typescript)
- [curl Markdown](/tax-profiles/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/tax-profiles/llms.txt)
- [snapshot llms.txt](/tax-profiles/llms.txt)
